// src/statistics_container_window.hh - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#ifndef STATISTICS_CONTAINER_WINDOW_HH
#define STATISTICS_CONTAINER_WINDOW_HH 1

#include "config.h"
#include "gettext.h"

#include <gtkmm/window.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/scrollbar.h>

#include <cassert>
#include <iostream>

#include <sgpemv2/simulation.hh>
#include "schedulables_statistics_widget.hh"

namespace sgpem {


	class StatisticsContainerWindow : public Gtk::Window
	{
	public:
		StatisticsContainerWindow();
		virtual ~StatisticsContainerWindow();
		
		TabularSchedulableStatisticsWidget&   get_tabular_schedulables_statistics_widget();
	protected:
		
		virtual void  							on_size_request (Gtk::Requisition* requisition);
		TabularSchedulableStatisticsWidget    	_tabular_schedulables_statistics_widget;
		Gtk::ScrolledWindow						_scrolled_tabular;
  };

} // ~ namespace sgpem
#endif

